package com.gic.haoban.manage.api.dto.qdto.hm;

import java.io.Serializable;

public class WxUserAddLogQDTO implements Serializable{

    private static final long serialVersionUID = 6498410171325260068L;
    
    private String wxEnterpriseId;
    private String enterpriseId;
    private String memberId;
    private String unionid;
    private Long linkId;
    private Long hmId;
    // 是否好友删除导购
    private boolean delClerkFlag;
    private boolean delFlag;
    private String externalUserid;
    private String staffId;
    private String staffName;
    private String clerkId;

    public boolean isDelClerkFlag() {
        return delClerkFlag;
    }

    public void setDelClerkFlag(boolean delClerkFlag) {
        this.delClerkFlag = delClerkFlag;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public String getMemberId() {
        return memberId;
    }

    public String getUnionid() {
        return unionid;
    }

    public Long getLinkId() {
        return linkId;
    }

    public Long getHmId() {
        return hmId;
    }

    public boolean isDelFlag() {
        return delFlag;
    }

    public String getExternalUserid() {
        return externalUserid;
    }

    public String getStaffId() {
        return staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public void setHmId(Long hmId) {
        this.hmId = hmId;
    }

    public void setDelFlag(boolean delFlag) {
        this.delFlag = delFlag;
    }

    public void setExternalUserid(String externalUserid) {
        this.externalUserid = externalUserid;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }
}
